## EDU.oswego.cs.dl.util.concurrent
Class WriterPreferenceReadWriteLock.Signaller

    java.lang.Object
      EDU.oswego.cs.dl.util.concurrent.WriterPreferenceReadWriteLock.Signaller

Direct Known Subclasses:
  WriterPreferenceReadWriteLock.ReaderLock, WriterPreferenceReadWriteLock.WriterLock

Enclosing class:
  WriterPreferenceReadWriteLock

    protected abstract class WriterPreferenceReadWriteLock.Signaller

extends java.lang.Object

Reader and Writer requests are maintained in two different wait sets, by two different objects. These objects do not know whether the wait sets need notification since they don't know preference rules. So, each supports a method that can be selected by main controlling object to perform the notifications. This base class simplifies mechanics.

Constructor Summary
`protected` `WriterPreferenceReadWriteLock.Signaller()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriterPreferenceReadWriteLock.Signaller

    protected WriterPreferenceReadWriteLock.Signaller()